## oxygen 5.24.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 project(oxygen)
-set(PROJECT_VERSION "5.24.4")
+set(PROJECT_VERSION "5.24.6")
 set(PROJECT_VERSION_MAJOR 5)
 
 include(GenerateExportHeader)
