## oxygen 5.25.4

=== debian/changelog ===
oxygen (4:5.25.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 02 Aug 2022 17:34:05 +0200

oxygen (4:5.25.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.2).
  * Refresh lintian overrides.
  * New upstream release (5.25.3).
  * Release to unstable

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 17 Jul 2022 15:28:57 +0200

oxygen (4:5.25.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.25.1).
  * Tighten inter-Plasma dependencies.

 -- Patrick Franz <deltaone@debian.org>  Tue, 21 Jun 2022 21:46:46 +0200

oxygen (4:5.25.0-1) experimental; urgency=medium

  * New upstream release (5.25.0).
  * Tighten build dependency libkdecorations2-dev (>= 4:5.25.0~).
  * Drop versioned dep on oxygen-sounds, the contents of the package hardly
    evolves so we shouln’d need it.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 14 Jun 2022 21:26:51 +0200

oxygen (4:5.24.90-2) experimental; urgency=medium

  * Team upload.
  * Merge changes from 4:5.24.5-2.
  * Bump the libkdecorations2-dev to match the Plasma version.

 -- Pino Toscano <pino@debian.org>  Wed, 01 Jun 2022 09:13:31 +0200

oxygen (4:5.24.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.90).
  * Drop oxygen-sounds binary, now built from a separate source package
    oxygen-sounds.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 20 May 2022 11:45:52 +0200

oxygen (4:5.24.5-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.6.1, no changes required.
  * Remove inactive Uploaders.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically
    - drop all the manually specified addons and buildsystem for dh
  * Drop the oxygen-sounds package, as it will be provided by its own source:
    - drop the oxygen-sounds binary
    - switch the oxygen-sounds requirement in plasma-theme-oxygen to a manually
      specified version
    - ignore the files previously in oxygen-sounds
  * Bump the libkdecorations2-dev to match the Plasma version.
  * Drop wrong Multi-Arch: same field from plasma-theme-oxygen, as it cannot be
    installed like that.

 -- Pino Toscano <pino@debian.org>  Wed, 01 Jun 2022 08:53:42 +0200

oxygen (4:5.24.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.5).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 12 May 2022 21:40:21 +0200

oxygen (4:5.24.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 30 Mar 2022 14:03:48 +0200

oxygen (4:5.24.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.3).
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 10 Mar 2022 08:20:55 +0100

oxygen (4:5.24.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.24.2).
  * Update B-Ds and deps with the info from cmake.
  * Re-export signing key without extra signatures.

 -- Patrick Franz <deltaone@debian.org>  Sat, 26 Feb 2022 21:59:09 +0100

oxygen (4:5.23.5-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.23.5).
  * Update B-Ds.

 -- Patrick Franz <deltaone@debian.org>  Fri, 07 Jan 2022 17:22:27 +0100

oxygen (4:5.23.4-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.23.4).

  [ Patrick Franz ]
  * Update B-Ds.

 -- Patrick Franz <deltaone@debian.org>  Thu, 02 Dec 2021 21:58:51 +0100
