=== debian/control ===
Source: oxygen
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.94~),
               gettext,
               libkdecorations2-dev (>= 4:5.25.1~),
               libkf5completion-dev (>= 5.94~),
               libkf5config-dev (>= 5.94~),
               libkf5configwidgets-dev,
               libkf5coreaddons-dev (>= 5.94~),
               libkf5guiaddons-dev (>= 5.94~),
               libkf5i18n-dev (>= 5.94~),
               libkf5kcmutils-dev,
               libkf5service-dev (>= 5.94~),
               libkf5style-dev (>= 5.94~),
               libkf5wayland-dev,
               libkf5widgetsaddons-dev (>= 5.94~),
               libkf5windowsystem-dev (>= 5.94~),
               libqt5x11extras5-dev,
               libx11-dev,
               libxcb1-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
Standards-Version: 4.6.1
Homepage: https://invent.kde.org/plasma/oxygen
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/oxygen
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/oxygen.git
Rules-Requires-Root: no

Package: kde-style-oxygen-qt5
Architecture: any
Breaks: plasma-desktop-data (<< 4:5.20)
Replaces: plasma-desktop-data (<< 4:5.20)
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt decoration for the Oxygen desktop theme
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the Qt 5 widget theme.

Package: kwin-decoration-oxygen
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: KWin decoration for the Oxygen desktop theme
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the KWin decoration and settings modules.

Package: liboxygenstyle5-5
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: style library for the Oxygen desktop theme
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the private library used by the widget theme
 and KWin style.

Package: liboxygenstyleconfig5-5
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: style library configuration for the Oxygen desktop theme
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the private library used to configure the widget theme
 and KWin style.

Package: plasma-theme-oxygen
Architecture: any
Depends: kde-style-oxygen-qt5 (= ${binary:Version}),
         kwin-decoration-oxygen (= ${binary:Version}),
         oxygen-sounds,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Look-and-feel for the Oxygen desktop theme
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the meta settings for the Oxygen theme.
