=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                dh-sequence-kf5,
                extra-cmake-modules (>= 5.94~),
                gettext,
-               libkdecorations2-dev (>= 4:5.25.1~),
+               libkdecorations2-dev (>= 4:5.25.5~),
                libkf5completion-dev (>= 5.94~),
                libkf5config-dev (>= 5.94~),
                libkf5configwidgets-dev,
