=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: oxygen
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
@@ -9,17 +10,17 @@
                dh-sequence-kf5,
                extra-cmake-modules (>= 5.102.0~),
                gettext,
-               libkdecorations2-dev (>= 4:5.27.3~),
+               libkdecorations2-dev (>= 4:5.27.4~),
                libkf5completion-dev (>= 5.102.0~),
                libkf5config-dev (>= 5.102.0~),
-               libkf5configwidgets-dev,
+               libkf5configwidgets-dev (>= 5.102.0~),
                libkf5coreaddons-dev (>= 5.102.0~),
                libkf5guiaddons-dev (>= 5.102.0~),
                libkf5i18n-dev (>= 5.102.0~),
-               libkf5kcmutils-dev,
+               libkf5kcmutils-dev (>= 5.102.0~),
                libkf5service-dev (>= 5.102.0~),
                libkf5style-dev (>= 5.102.0~),
-               libkf5wayland-dev,
+               libkf5wayland-dev (>= 4:5.102.0~),
                libkf5widgetsaddons-dev (>= 5.102.0~),
                libkf5windowsystem-dev (>= 5.102.0~),
                libqt5x11extras5-dev,
@@ -29,17 +30,17 @@
                pkg-kde-tools (>= 0.15.18~),
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
-Standards-Version: 4.6.2
+Standards-Version: 4.6.1
 Homepage: https://invent.kde.org/plasma/oxygen
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/oxygen
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/oxygen.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/oxygen
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/oxygen
 Rules-Requires-Root: no
 
 Package: kde-style-oxygen-qt5
 Architecture: any
-Breaks: plasma-desktop-data (<< 4:5.20),
-Replaces: plasma-desktop-data (<< 4:5.20),
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Breaks: plasma-desktop-data (<< 4:5.20)
+Replaces: plasma-desktop-data (<< 4:5.20)
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Qt decoration for the Oxygen desktop theme
  The Oxygen desktop theme is used by Plasma and other KDE Software.
  .
@@ -47,7 +48,7 @@
 
 Package: kwin-decoration-oxygen
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Description: KWin decoration for the Oxygen desktop theme
  The Oxygen desktop theme is used by Plasma and other KDE Software.
@@ -57,7 +58,7 @@
 Package: liboxygenstyle5-5
 Architecture: any
 Section: libs
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Description: style library for the Oxygen desktop theme
  The Oxygen desktop theme is used by Plasma and other KDE Software.
@@ -68,7 +69,7 @@
 Package: liboxygenstyleconfig5-5
 Architecture: any
 Section: libs
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Description: style library configuration for the Oxygen desktop theme
  The Oxygen desktop theme is used by Plasma and other KDE Software.
