=== kstyle/CMakeLists.txt ===
--- 
+++ 
@@ -75,11 +75,11 @@
 
 if(OXYGEN_HAVE_X11)
     target_link_libraries(oxygen XCB::XCB)
-    target_link_libraries(oxygen Qt::X11Extras)
-endif()
-
-if(OXYGEN_HAVE_KWAYLAND)
-    target_link_libraries(oxygen KF5::WaylandClient)
+    if (QT_MAJOR_VERSION EQUAL "5")
+        target_link_libraries(oxygen Qt::X11Extras)
+    else()
+        target_link_libraries(oxygen Qt::GuiPrivate)
+    endif()
 endif()
 
 install(TARGETS oxygen DESTINATION ${KDE_INSTALL_QTPLUGINDIR}/styles/)
